*{
    padding: 0;
    margin: 0;

    button {
        all: unset;
        cursor: pointer;
    }

    .container{
        width: 1296px;
        margin: 0 auto;
    }

    .header {
        position: fixed; 
        width: 100%; 
        top: 0;
        z-index: 100; 
    
        .header-blue{
            background-color: #10BBD5;
            height: 72px;
            display: flex;
            align-items: center;
    
    
            .header-blue__content{
                display: flex;
                justify-content: space-between;
                align-items: center;
    
                .logo{
                    display: flex;
                    align-items: center;
                    gap: 4px;
                    text-decoration: none;

                    .logo__text{
                        color: #F8FDFE;
                        font-family: Cabin;
                        font-size: 24px;
                        font-weight: 700;
                    }
                }

                .cart-button{
                    display: flex;
                    gap: 8px;
                    align-items: center;
                    position: relative;

                    &:before{
                        content: '0';
                        position: absolute;
                        top: 7px;
                        right: 10px;
                        color: black;
                        font-family: Cabin;
                        font-size: 12px;
                    }

                    .cart-button__text{
                        color: #F8FDFE;
                        font-family: Cabin;
                        font-size: 16px;
                        font-weight: 400;
                    }
                }
            }
        }
    
        .header-white{
            color: black;
            background-color: white;
            font-family: Cabin;
            font-size: 16px;
            font-weight: 400;
            padding: 4px 0;
            line-height: 24px;
    
            .header-white__content{
                display: flex;
                justify-content: space-between;

                .nav-menu ul {
                    display: flex;
                    list-style: none;
                    gap: 40px;

                    .nav-menu__nav-item{
                        text-decoration: none;
                        color: black;
                    }
                }
            }
        }
    }

    .button-chat--aside{
        width: 64px;
        height: 64px;
        position: fixed;
        top: 260px;
        right: 28px;
        z-index: 100;
    }

    .main-block{
        background-color: #EEEEEF;
        padding-top: 104px;

        .main-title{
            color: #1F1F1F;
            font-family: Cabin;
            font-size: 32px;
            font-weight: 600;
            line-height: 40px;
            padding-top: 32px;
            padding-bottom: 23px;
            border-bottom: 1px solid #A8A8A8;
        }

        .grid-container{
            display: grid;
            grid-template-columns: repeat(4, 1fr); 
            grid-template-rows: repeat(3, auto); 
            gap: 32px 24px; 
            padding-top: 24px;
            padding-bottom: 120px;

            .grid-card{
                display: flex;
                flex-direction: column;
                width: 306px;
                box-sizing: border-box;
                padding: 32px;
                gap: 16px;
                padding-bottom: 20px;
                align-items: center;
                border: 1px solid #A8A8A8;
                background-color: #F8FDFE;
                position: relative;

                .grid-card__photo{
                    width: 178px;
                    height: 280px;
                }

                .grid-card__info{
                    width: 242px;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;

                    .grid-card__title{
                        color: #1F1F1F;
                        font-family: Cabin;
                        font-size: 20px;
                        font-weight: 700;
                        line-height: 28px;
                        text-decoration: none;
                        
                    }
                    .grid-card__writer{
                        color:#8E8E8E;
                        font-family: Cabin;
                        font-size: 16px;
                        font-weight: 400;
                        line-height: 24px;
                        border-top: 1px solid #A8A8A8;
                        margin-bottom: 8px;
                    }
                    .grid-card__prices{
                        display: flex;
                        align-items: center;

                        .grid-card__new-price{
                            color: #E90000;
                            font-family: Cabin;
                            font-size: 24px;
                            font-weight: 500;
                            line-height: 32px;
                        }
                        .grid-card__old-price{
                            color: #8E8E8E;
                            font-family: Cabin;
                            font-size: 24px;
                            font-style: normal;
                            font-weight: 500;
                            line-height: 32px;
                            text-decoration: 1px line-through;
                            margin-left: 24px;
                        }
                    }
                    .grid-card__label{
                        position: absolute;
                        top: 32px;
                        left: 32px;
                        display: flex;
                        gap: 4px;
                        color: #F8FDFE;
                        text-align: center;
                        font-family: Cabin;
                        font-size: 16px;
                        font-weight: 400;
                        line-height: 24px;
                        list-style: none;
                    }
                    .label-hit{
                        border-radius: 4px;
                        background-color: #4200FF;
                        padding: 4px 8px;
                    }
                    
                    .label-new{
                        border-radius: 4px;
                        background-color: #AF39E7;
                        padding: 4px 8px;
                    }
                    
                    .label-sale{
                        border-radius: 4px;
                        background: #EA33C0;
                        padding: 4px 8px;
                    }
                }

                .grid-card__button{
                    text-decoration: none;
                    display: flex;
                    padding: 8px 24px;
                    justify-content: center;
                    align-items: center;
                    align-self: stretch;
                    border-radius: 4px;
                    color:#F8FDFE;
                    text-align: center;
                    font-family: Cabin;
                    font-size: 16px;
                    font-weight: 400;
                    line-height: 24px;

                }
                .button--add-to-basket{
                    background: #4C394E;
                    &:hover{
                        background-color: #744978;
                    }
                }
                .button--end-up{
                    background: #4D762D;
                    &:hover{
                        background-color: #6DB236;
                    }
                }
            }
        }
    }
    .footer{
        background-color: #4C394E;
        height: 88px;
        width: 100%;
        display: flex;
        align-items: center;

        .footer-content{
            display: flex;
            justify-content: space-between;

            p{
                color: #F8FDFE;
                font-family: Cabin;
                font-size: 16px;
                font-weight: 400;
                line-height: 24px;
            }
        
        }
    }
}
